English Amiga Board


Go Back   English Amiga Board > abime.net - Hosted Projects > project.ClassicWB

 
 
Thread Tools
Old 28 February 2006, 20:38   #1
MethodGit
Junior Member
MethodGit's Avatar
 
Join Date: Dec 2002
Location: The Streets
Age: 34
Posts: 2,723
Why no support for OS 3.5-style icons?

Is the newer newicon.library illegal to spread around or something? I sure hope that isn't the case.
MethodGit is offline  
AdSense AdSense  
Old 28 February 2006, 21:04   #2
Bloodwych
Moderator

Bloodwych's Avatar
 
Join Date: Jun 2001
Location: I'm behind you!
Posts: 3,763
Not at all!

ClassicWB supports Newicons using that very library, but not OS 3.5+ icons as you require OS3.5+ to use them (and yes it's copyright)!

The new Scalos apparently supports PNG true colour icons but I'm unsure if this means OS 3.5 also?? Since it's beta I've never bothered using it.

At the moment I'm afraid ClassicWB is stuck with classic icons. 256 colour newicons is plenty for 32 colour screen mode games anyway but of course you have to make your own. It's just annoying that you can't use those lovely OS 3.5 icon game packages - one of the downsides to using workbench 3.0/1 I guess.
Bloodwych is offline  
Old 28 February 2006, 21:17   #3
MethodGit
Junior Member
MethodGit's Avatar
 
Join Date: Dec 2002
Location: The Streets
Age: 34
Posts: 2,723
Do you have any real knowledge of 3.5 I wonder? Cos' I do happen to have a copy of that I believe (Power Computing sell it for dead cheap compared to the rest!), and if I could be advised as to what files to copy off it I hopefully might be able to get my personal ClassicWB to show 3.5 icons!

I always assumed it was the NewIcon library that made all the difference (I remember feeling sad that AIAB couldn't display the nice GlowIcons or Exotica stuff!), but now it could be that 3.5 relies on other files as well to display them right.
MethodGit is offline  
Old 28 February 2006, 22:15   #4
mr_a500
Amiga-based Cyborg
mr_a500's Avatar
 
Join Date: Dec 2004
Location: Canada
Posts: 786
Quote:
It's just annoying that you can't use those lovely OS 3.5 icon game packages - one of the downsides to using workbench 3.0/1 I guess.
There's the "ConvertColorIcon" program which allows you to convert 3.5/3.9 colour icons to use in WB 3.0/3.1. I converted lots of icons with this program. The only limitation is that the icon must be smaller than 93x93.

The older "Convert3.5Icon" program by the same author allowed any size, but that program never worked for me.

For fancy game icons that have already been converted for 3.0/3.1, look here:
http://www.abime.net/?go=download

Last edited by mr_a500; 28 February 2006 at 22:20.
mr_a500 is offline  
Old 28 February 2006, 23:42   #5
Bloodwych
Moderator

Bloodwych's Avatar
 
Join Date: Jun 2001
Location: I'm behind you!
Posts: 3,763
It's just the updated icon library in OS 3.5 that allows the icons, but copying across that file alone (as far as I'm aware) won't work. I don't have OS 3.5+, so you'll have to ask someone else.

Mr A500, thanks for the tip! I tend to make my own icons from HOL images anyway using the tools built into the ClassicWB but these apps are worth a look. Yes, I have that collection you've linked - nice they are too!
Bloodwych is offline  
Old 01 March 2006, 00:19   #6
MethodGit
Junior Member
MethodGit's Avatar
 
Join Date: Dec 2002
Location: The Streets
Age: 34
Posts: 2,723
I remember Convert3.5Icon, and the many problems and annoyances I had with it in trying to use it to display 3.5 icons on AIAB many years ago.

Someone should examine the source for ConvertColorIcon and work out how to implement support for the bigger NewIcons, like the "extended" ones that exist in the PygmIcon packages!!!

It would probably help too if Exotica made NewIcon versions of their boxscan icons at some point! I like to use them as drawer icons for HD games, to create the illusion of a virtual gamebox with the game inside.
MethodGit is offline  
Old 01 March 2006, 05:06   #7
mr_a500
Amiga-based Cyborg
mr_a500's Avatar
 
Join Date: Dec 2004
Location: Canada
Posts: 786
Quote:
Someone should examine the source for ConvertColorIcon and work out how to implement support for the bigger NewIcons, like the "extended" ones that exist in the PygmIcon packages!!!
As I said, the older Convert3.5Icon will convert icons bigger than 93x93 and can be displayed with NewIcons in WB 3.0/3.1. This is the program that they actually used to make the "extended" icon packs. I have some of these extended icons on my WB 3.1 and they look fine. I only have problems when I try to edit them in Iconian - when saved again, they are cropped to 92x92.

Edit - oh, I just saw that you tried Convert3.5Icon and had lots of problems. I had problems with that program too and wish the author hadn't limited the new one to 93x93.

Bloodwych:
I see you make ClassicWB for fancy WB setups. Take a look at my 16 colour A500 screenshot - maybe there's something you could use for your ClassicWB packs (maybe not ).
http://www.amiga.org/modules/myalbum...lid=2533&cid=1

Edit - I just read that you want to keep the "classic" 3.0/3.1 look for your ClassicWB (makes sense). In that case, you won't find my screenshot useful.

Last edited by mr_a500; 01 March 2006 at 09:01.
mr_a500 is offline  
Old 01 March 2006, 13:53   #8
MethodGit
Junior Member
MethodGit's Avatar
 
Join Date: Dec 2002
Location: The Streets
Age: 34
Posts: 2,723
Although he likes the "classic" WB look, he did go and make a nicer-looking Picasso96 version available here, which is what I'm using atm.

I'm thinking....... ClassicWB uses Scalos doesn't it? Maybe that's what gets in the way of 3.5 newicon.library working properly on it?
MethodGit is offline  
Old 01 March 2006, 15:10   #9
mr_a500
Amiga-based Cyborg
mr_a500's Avatar
 
Join Date: Dec 2004
Location: Canada
Posts: 786
Quote:
I'm thinking....... ClassicWB uses Scalos doesn't it? Maybe that's what gets in the way of 3.5 newicon.library working properly on it?
I think you're still unclear on the whole "WB 3.5/3.9 colouricon vs. Newicon" thing.

Newicons has absolutely nothing to do with the WB 3.5/3.9 icon format (otherwise known as colouricon). Newicons was made before WB 3.5 came out - to provide colour mapping for icons. The programmers who worked on WB 3.5 decided to make their own icon format to do something similar to Newicons. The new format uses an updated icon.library, not newicon.library, since it has nothing to do with Newicons. The updated icon.library requires the new setpatch and patchfile to work - meaning you need WB 3.5 or WB 3.9 to see these icons and can't just copy over the icon.library to WB 3.0/3.1.

The "ConvertColorIcon" program needs the 3.5/3.9 icon.library to create a library to convert 3.5/3.9 colouricons. Maybe a clever programmer could make a program to update the icon.library in WB 3.0/3.1 to be able to display these colouricons instead of just convert. I don't use Scalos, but it appears that it specifically tries to do this - so I'm sure that it is not "getting in the way" of seeing 3.5 icons.
mr_a500 is offline  
Old 01 March 2006, 15:27   #10
MethodGit
Junior Member
MethodGit's Avatar
 
Join Date: Dec 2002
Location: The Streets
Age: 34
Posts: 2,723
I seeeeeeeeeeee......... so if I copied SetPatch and PatchFile from OS 3.5/9 over, as well as icon.library, I might be able to get 3.1-based setups to display the icons finally? Unless the two patch files are designed to specifically only work properly with 3.5/9? (Although I hope that isn't the case.)

Apparently the latest Scalos beta displays 3.5+ GlowIcons although I don't know yet what version ClassicWB uses....
MethodGit is offline  
Old 01 March 2006, 16:01   #11
mr_a500
Amiga-based Cyborg
mr_a500's Avatar
 
Join Date: Dec 2004
Location: Canada
Posts: 786
Quote:
Unless the two patch files are designed to specifically only work properly with 3.5/9? (Although I hope that isn't the case.)
Copying over bits and pieces of 3.5/3.9 is likely to cause crashes and headaches (I know, I've tried). If you've got these files to copy over, then you must have 3.5 or 3.9 already. Why don't you just use that instead of 3.1?

In my case, I hated 3.9 (crappy new picture.datatype!), wanted to use my faster 32bit 3.0 ROMs (3.9 needs 3.1ROM), but tried copying over some of the few updated files to use in 3.0/3.1, thinking there might be bug fixes or minor improvements. Some things definitely didn't work (probably needed patched 3.1ROM) and of the things that did work properly, I didn't notice any difference or improvement.
mr_a500 is offline  
Old 01 March 2006, 19:11   #12
MethodGit
Junior Member
MethodGit's Avatar
 
Join Date: Dec 2002
Location: The Streets
Age: 34
Posts: 2,723
Quote:
Originally Posted by mr_a500
Copying over bits and pieces of 3.5/3.9 is likely to cause crashes and headaches (I know, I've tried). If you've got these files to copy over, then you must have 3.5 or 3.9 already. Why don't you just use that instead of 3.1?
I could, but it's a bit of a drag to install it correctly from scatch, not to mention install all the necessary apps afterwards. ClassicWB is like a nice simple pick-me-up, feed-me-some-files and then go-go-go type package. Plus it's a lot more stable than AIAB nowadays me reckons.

BTW, "Convert3.5Icon" doesn't seem to work on ClassicWB-P96 anyway - complains of wanting a 'newer' icon.library, but I checked the existing icon.library and it appears to have the same version number??? I'm not sure what AIAB had that allowed the app to work at all but whatever it was I hope it's easy to install/transfer over to this.
MethodGit is offline  
Old 01 March 2006, 20:48   #13
Bloodwych
Moderator

Bloodwych's Avatar
 
Join Date: Jun 2001
Location: I'm behind you!
Posts: 3,763
Nice workbench Mr A500!

To be honest, the ClassicWB isn't made to look "good". It's a base install for real and low end Amiga's (2MB RAM and above) with 3.0 or 3.1 ROMS. It's meant to look like an Amiga workbench from the A1200 era for retro/nostalgia reasons. Also "look" is very subjective so I let the end user customize to their taste rather than force patches and hacks upon them that often cause incompatibility issues. I simply provide the fundamental building blocks of a very user friendly accessable system.

It's certainly not or ever will be an eye candy Winuae beast; that would kind of defeat it's objectives. The P96 version was done only because it could be done and again only as a base install, not a complete eye candy package like AIAB, AmigaSYS or AmiKitt.

Method G, I'd be the first to suggest that if you're not interested in the classic theme or have no need for these workbenches on real Amiga's, go for the new AIAB (updated recently), AmigaSYS or AmiKitt. Do a search on this forum to find the latest goss.

Last edited by Bloodwych; 01 March 2006 at 21:00.
Bloodwych is offline  
Old 01 March 2006, 22:44   #14
mr_a500
Amiga-based Cyborg
mr_a500's Avatar
 
Join Date: Dec 2004
Location: Canada
Posts: 786
I keep forgetting that these days when someone talks about "Amiga", they're usually talking about "emulated Amiga". My A500 is my only computer (besides my A1000), so when I give advice or say things, I'm always talking about "real Amiga".

It's good to see someone is still making install setups for real Amiga.
mr_a500 is offline  
Old 01 March 2006, 23:19   #15
Bloodwych
Moderator

Bloodwych's Avatar
 
Join Date: Jun 2001
Location: I'm behind you!
Posts: 3,763
I make the same mistake too, Classic Amiga hardware is less common among the scene these days.

I guess it's what you're after - I like both my emulated and real workbench to remind me of the way it used to be back in the good old days, so prefer the classic stuff of WB 1.3 and 2.0/3.0/1. Never used OS3.5+ or had a powerful high end A4000, so all later releases mean very little to me. The Amiga dream I lived kind of ended with my 14Mhz 3.0 10MB A1200 after C= went bust.

It's good users like yourself are keeping hardware ticking over.
Bloodwych is offline  
Old 02 March 2006, 00:25   #16
Mad-Matt
Longplayer

Mad-Matt's Avatar
 
Join Date: Jan 2005
Location: Lincoln / UK
Age: 39
Posts: 1,588
Send a message via ICQ to Mad-Matt Send a message via MSN to Mad-Matt
I think youd have to be hardcore retro something to prefure the classic wb1.3 environment . After upgrading my amiga through the ages, I honestly dont know how we once managed on wb1.3 as its so incredibly limited to even wb2.0 I cenrtainly dont enjoy using anything less then wb3.5 now although a well patched up 3.1 can be just as nice.
Mad-Matt is offline  
Old 02 March 2006, 13:49   #17
BuZz
Registered User
 
Join Date: May 2002
Location: Oxford / UK
Age: 42
Posts: 583
Send a message via ICQ to BuZz
Quote:
Originally Posted by MethodGit
It would probably help too if Exotica made NewIcon versions of their boxscan icons at some point! I like to use them as drawer icons for HD games, to create the illusion of a virtual gamebox with the game inside.
Exotica has both os3.5 and newicon versions of the boxscans.
BuZz is offline  
Old 03 March 2006, 21:18   #18
Bloodwych
Moderator

Bloodwych's Avatar
 
Join Date: Jun 2001
Location: I'm behind you!
Posts: 3,763
Yeah, the WB1.3 comment was just to drive home that I use workbench for nostalgia rather than looking for more modern functions that my PC now covers.

WB3.0 is my most used workbench on both real and emulated Amiga's, as I spent so long using it after buying my A1200HD back when it was first released. Of course nearly all A1200's had 3.0 ROMS, so 3.0 is the "classic" final C= release.

In fact, that's part of where the ClassicWB idea came from - an Amiga workbench that actualy looks, feels and performs just like it would have on a basic A1200 hardware back in the day. It's limited by aiming to perform well on the real thing even if it has a low 14Mhz CPU and is instantly reconizable as being an A1200 Workbench.

You're right, 1.3 was so limited! That blue and orange look is so A500 retro it's unreal however, so I have to have a cheeky boot every now and again!
Bloodwych is offline  
Old 03 March 2006, 21:32   #19
Retro-Nerd
Missile Command Champion

Retro-Nerd's Avatar
 
Join Date: Aug 2005
Location: Germany
Age: 46
Posts: 11,049
Quote:
Originally Posted by MethodGit
It would probably help too if Exotica made NewIcon versions of their boxscan icons at some point! I like to use them as drawer icons for HD games, to create the illusion of a virtual gamebox with the game inside.
you find the exotica newicon package here:

http://exotica.fix.no/misc/exoticons/index.html
Retro-Nerd is offline  
Old 03 March 2006, 21:35   #20
Bloodwych
Moderator

Bloodwych's Avatar
 
Join Date: Jun 2001
Location: I'm behind you!
Posts: 3,763
Great link! Never new they had Newicon versions!
Bloodwych is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
OS 3.5 icons on 3.1 & WHDLoad hangs when displaying icons PoulpSquad support.WinUAE 22 14 September 2012 00:57
OS 3.9 Icons mixed with old icons Toddles support.Hardware 0 14 February 2010 00:56
Portaudio support (was: WinUAE support for ASIO drivers) Akira support.WinUAE 57 28 March 2009 21:15
Lionheart style... Lukyan request.Old Rare Games 7 12 May 2005 17:28
*NEW* IK style game ... tomcat666 project.aGTW 25 14 September 2004 17:38

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 16:45.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.
Page generated in 0.08904 seconds with 13 queries